<?php
/*
 * This file provides a sample REST API implementation for automatically updating SLP token rates for this plugin.
 * You must upload this file on your server and enter the URL in plugin settings under 'SLP token rate API'.
 * The response JSON to a GET request from WordPress must have the following format:
 * {
	version: 1,
	data: {
		SPICE: {
			price_usd: 0.001
		},
		WPT: {
			price_usd: 1.23
		}
	}
	}
	
	You can add the currency your shop is using to the JSON by adding: price_{woocommerce_currency}
 */

header('Content-Type: application/json; charset=UTF-8');
echo json_encode(getSampleSlpTokenRates());


function getSampleSlpTokenRates() {
	return array(
			'version' => 1,
			'data' => array(
					// add your price_{woocommerce_currency} here
					'SPICE' => array('price_usd' => 0.001),
					'WPT' => array('price_usd' => 1.23, 'price_eur' => 1.12),
			)
	);
}
?>